ApacheSSLSettings (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.web.apache.ApacheSSLSettings interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.web.apache
Interface ApacheSSLSettings

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SSLSettings

    public interface ApacheSSLSettings

extends SSLSettings

Represents Apache specific SSL settings for a virtual host.

Naming Rules:
  0="parent"
Persistable:
  true
Table Name:
  APCHSSL

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getLogFile()`
`java.lang.String` | `getLogLevel()`
`ApacheVirtualHost` | `getParent()`
`AppProtocol[]` | `getProtocols()`
`java.lang.String` | `getVerifyClient()`
`int` | `getVerifyClientDepth()`
`boolean` | `hasLogFile()`
`boolean` | `hasLogLevel()`
`boolean` | `hasParent()`
`boolean` | `hasProtocols()`
`boolean` | `hasVerifyClient()`
`boolean` | `hasVerifyClientDepth()`
`void` | `setLogFile(java.lang.String logFile)`
`void` | `setLogLevel(java.lang.String logLevel)`
`void` | `setParent(ApacheVirtualHost parent)`
`void` | `setProtocols(AppProtocol[] protocols)`
`void` | `setVerifyClient(java.lang.String verifyClient)`
`void` | `setVerifyClientDepth(int verifyClientDepth)`

Methods inherited from interface com.collation.platform.model.topology.app.SSLSettings
`getAcceptCaCertificateFiles, getCaCertificateFile, getCertificateFile, getCipherSuite, getPrivateKeyFile, getRevokeCaCertificateFiles, getSessionCacheTimeout, getSslEnabled, getSslPort, hasAcceptCaCertificateFiles, hasCaCertificateFile, hasCertificateFile, hasCipherSuite, hasPrivateKeyFile, hasRevokeCaCertificateFiles, hasSessionCacheTimeout, hasSslEnabled, hasSslPort, setAcceptCaCertificateFiles, setCaCertificateFile, setCertificateFile, setCipherSuite, setPrivateKeyFile, setRevokeCaCertificateFiles, setSessionCacheTimeout, setSslEnabled, setSslPort`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    ApacheVirtualHost getParent()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(ApacheVirtualHost parent)

### hasParent

    boolean hasParent()

### getProtocols

    AppProtocol[] getProtocols()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setProtocols

    void setProtocols(AppProtocol[] protocols)

### hasProtocols

    boolean hasProtocols()

### getLogFile

    java.lang.String getLogFile()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLogFile

    void setLogFile(java.lang.String logFile)

### hasLogFile

    boolean hasLogFile()

### getLogLevel

    java.lang.String getLogLevel()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLogLevel

    void setLogLevel(java.lang.String logLevel)

### hasLogLevel

    boolean hasLogLevel()

### getVerifyClient

    java.lang.String getVerifyClient()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVerifyClient

    void setVerifyClient(java.lang.String verifyClient)

### hasVerifyClient

    boolean hasVerifyClient()

### getVerifyClientDepth

    int getVerifyClientDepth()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVerifyClientDepth

    void setVerifyClientDepth(int verifyClientDepth)

### hasVerifyClientDepth

    boolean hasVerifyClientDepth()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD